Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 86419

Summary: Segmentation Fault and Hangs
Product: [Retired] Red Hat Linux Reporter: Mike Vanecek <bug_rh>
Component: balsaAssignee: Bill Nottingham <notting>
Status: CLOSED ERRATA QA Contact: David Lawrence <dkl>
Severity: high Docs Contact:
Priority: high    
Version: 8.0CC: jakub, mike.fleetwood, mitr, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-04-07 21:06:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mike Vanecek 2003-03-21 18:54:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021212

Description of problem:
Since update2 of glibc balsa either hangs or has a segmentation fault upon
starting. The system has been rebooted. Mail can be accessed using mail.




Version-Release number of selected component (if applicable):
balsa-1.2.4-7

How reproducible:
Always

Steps to Reproduce:
1.Start balsa via the launcher.
2.
3.
    

Actual Results:  Segmentation fault or hang.

Additional info:

Comment 1 Bill Nottingham 2003-03-21 19:17:49 UTC
Can you get a backtrace?

Comment 2 Mike Vanecek 2003-03-21 19:43:40 UTC
Yes, if you will tell me how to get the backtrace.


Comment 3 Bill Nottingham 2003-03-21 21:32:51 UTC
Run balsa under gdb; it should stop when it segfaults, you can hit 'bt' to get a
backtrace. Also, bug-buddy may help.


Comment 4 Bill Nottingham 2003-03-21 21:34:33 UTC
For example, if you get the 'Application balsa has crashed due to a segmentation
fault, etc' dialog, you can start to submit a bug report, and click on 'Show
details' ; this will show the backtrace.


Comment 5 Mike Vanecek 2003-03-21 21:55:14 UTC
Is that what you needed?

[admin@www admin]$ gdb balsa
GNU gdb Red Hat Linux (5.2.1-4)
Copyright 2002 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(gdb) run
Starting program: /usr/bin/balsa
opening Inbox..

** WARNING **: Cannot find expected file "gnome-text-plain.png" (spliced with
"pixmaps") with no extra prefixes

Program received signal SIGSEGV, Segmentation fault.
0x4022bf91 in calloc () from /lib/libc.so.6
(gdb) bt
#0  0x4022bf91 in calloc () from /lib/libc.so.6
#1  0x4022b5e7 in calloc () from /lib/libc.so.6
#2  0x4022acb1 in malloc () from /lib/libc.so.6
#3  0x402725a5 in re_comp () from /lib/libc.so.6
#4  0x402722d2 in re_comp () from /lib/libc.so.6
#5  0x40280275 in regcomp () from /lib/libc.so.6
#6  0x08074ebe in part_info_init_mimetext ()
#7  0x08075368 in part_info_init ()
#8  0x0807644d in add_part ()
#9  0x08076672 in select_part ()
#10 0x08071a93 in balsa_message_set ()
#11 0x0806b23e in idle_handler_cb ()
#12 0x40d49adf in g_idle_dispatch () from /usr/lib/libglib-1.2.so.0
#13 0x40d4897e in g_main_dispatch () from /usr/lib/libglib-1.2.so.0
#14 0x40d48e59 in g_main_iterate () from /usr/lib/libglib-1.2.so.0
#15 0x40d490f4 in g_main_run () from /usr/lib/libglib-1.2.so.0
#16 0x40c486df in gtk_main () from /usr/lib/libgtk-1.2.so.0
#17 0x08088504 in main ()
#18 0x401cc907 in __libc_start_main () from /lib/libc.so.6



Comment 6 Bill Nottingham 2003-03-22 00:24:50 UTC
Can you attach the output of 'LD_DEBUG=all balsa' for both the old and the new
glibc?

Comment 7 Bill Nottingham 2003-03-22 02:47:09 UTC
Never mind, we've reproduced and diagnosed it here.

Comment 8 Bill Nottingham 2003-03-22 02:47:46 UTC
You can probably run it with "LD_DYNAMIC_WEAK=1 balsa"


Comment 9 Mike Vanecek 2003-03-22 03:24:27 UTC
Please be more specific about what is meant by

You can probably run it with "LD_DYNAMIC_WEAK=1 balsa"

I do not know what you are telling me. From a google search and man, I know it
is part of the dynamic loader, ld.so. However, please give me a bit more
information about how to use it and I will try to see if it works.



Comment 10 Bill Nottingham 2003-03-22 03:27:54 UTC
Instead of running just 'balsa' from the command line, you'd have
to run 'LD_DYNAMIC_WEAK=1 balsa'; that workaround should allow it to
work for the time being.

Comment 11 Mike Vanecek 2003-03-22 03:30:49 UTC
I had just typed nevermind ...

I just typed LD_DYNAMIC_WEAK=1 balsa in a terminal window and balsa started and
ran. I will add this to the launcher as a workaround until a more permanent fix
is forthcoming.

Thank you.


Comment 12 Mike Fleetwood 2003-04-06 20:17:52 UTC
The latest version of balsa seems to work OK.

I guess that balsa-1.2.4-8 from the recent security announcement was
recompiled against the updated Glibc and that this fixes it.
(RHSA-2003:109 "Updated balsa and mutt packages fix vulnerabilities")

Comment 13 Bill Nottingham 2003-04-07 21:06:10 UTC
Woops, yes, this is fixed in the errata.

Basically, balsa was linked against libpcreposix, which contained some of the
same symbols as libc, however, with a different ABI. This is just asking for
trouble of the form you saw... we were somewhat lucky that it worked in the
original release.